Get a Text Track
Fetching text track
Getting a single text track is done by sending a GET request to the /videos/:videoId/texttracks/:texttrackId endpoint.
CURL
curl -X GET https://app.ignitevideo.cloud/api/videos/[VIDEO_ID]/texttracks/[TEXTTRACK_ID] \
-H "Authorization: Bearer YOUR_TOKEN"API Response
The response is a text track object containing the track metadata and content. language is a locale with a region, such as en-US or de-DE.
{
"id": string,
"language": "en-US" | "de-DE" | "fr-FR" | "es-ES" | "it-IT" | "...",
"type": "subtitles" | "captions",
"filename": string,
"url": string,
"content": string // WebVTT formatted string
}The content property on this GET response is the WebVTT document. Create and update responses, and the track nested on a video, put a URL-encoded deprecated placeholder in content.
Error response (400)
A missing text track, or a video that is not encoded yet, returns 400.